<?xml version="1.0" encoding="UTF-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/body"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/picbg" >

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_margin="2sp"
        android:background="@drawable/keypad_ncolor"
        android:orientation="vertical" >

        <LinearLayout
            android:id="@+id/layout_bottom"
            android:layout_width="fill_parent"
            android:layout_height="36sp"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="4sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="4sp" >

            <Button
                android:id="@+id/btn_size"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="尺寸"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_color"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="顏色"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_count"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_count_focus"
                android:text="數量"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_save"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="存入"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_exit"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_pink"
                android:text="離開"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_menu"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_above="@id/layout_bottom"
            android:orientation="vertical" >

            <LinearLayout
                android:id="@+id/layout_size"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="vertical"
                android:visibility="gone" >

                <TextView
                    android:id="@+id/text_size"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="3sp"
                    android:text="目前選中: "
                    android:textColor="#ffffff"
                    android:textSize="16sp" />

                <ListView
                    android:id="@+id/list_size"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_margin="3sp"
                    android:layout_weight="1.0" >
                </ListView>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_color"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_weight="1.0"
                android:visibility="gone" >

                <GridView
                    android:id="@+id/gridview"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:columnWidth="80dip"
                    android:gravity="center"
                    android:horizontalSpacing="1.0dip"
                    android:numColumns="auto_fit"
                    android:scrollbars="horizontal"
                    android:stretchMode="columnWidth"
                    android:verticalSpacing="1.0dip" />
                <!-- android:columnWidth="70sp" -->
                <!-- android:horizontalSpacing="10dp" -->
            </LinearLayout>

		    <LinearLayout
		        android:id="@+id/linearLayout2"
		        android:layout_width="match_parent"
		        android:layout_height="40sp"
		        android:orientation="horizontal">
		        
		        <Button
		         android:id="@+id/btn_disc1"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_orange"
		         android:text="100"
		         android:textSize="14sp" />
		        "
		        <Button
		         android:id="@+id/btn_disc2"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_blue2"
		         android:text="90"
		         android:textSize="14sp" />
		        
		         <Button
		         android:id="@+id/btn_disc3"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_orange"
		         android:text="80"
		         android:textSize="14sp" />
		        
		         <Button
		         android:id="@+id/btn_disc4"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_blue2"
		         android:text="70"
		         android:textSize="14sp" />
		
		         <Button
		         android:id="@+id/btn_disc5"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_orange"
		         android:text="60"
		         android:textSize="14sp" />
		         
		         <Button
		         android:id="@+id/btn_disc6"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_blue2"
		         android:text="50"
		         android:textSize="14sp" />
		
		         <Button
		         android:id="@+id/btn_disc7"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_orange"
		         android:text="40"
		         android:textSize="14sp" />
		
		         <Button
		         android:id="@+id/btn_disc8"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_blue2"
		         android:text="35"
		         android:textSize="14sp" />
		         
		         <Button
		         android:id="@+id/btn_disc9"
		         android:layout_width="fill_parent"
		         android:layout_height="fill_parent"
		         android:layout_margin="1sp"
		         android:layout_weight="1.0"
		         android:background="@drawable/keypad_orange"
		         android:text="30"
		         android:textSize="14sp" />
		         
		    </LinearLayout>
            
            <LinearLayout
                android:id="@+id/layout_count"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_marginLeft="3sp"
                android:layout_marginTop="2sp"
                android:layout_weight="1.0"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="100sp"
                    android:layout_weight="1.0"
                    android:orientation="horizontal" >
                <TextView
                    android:id="@+id/text_price"
                    android:layout_width="fill_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="1sp"
                    android:layout_marginRight="4sp"
                    android:layout_marginTop="2sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_count3"
                    android:gravity="right|center"
                    android:maxLines="1"
                    android:textColor="#006400"
                    android:textSize="36sp" />
                <TextView
                    android:id="@+id/text_discount"
                    android:layout_width="fill_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="1sp"
                    android:layout_marginRight="4sp"
                    android:layout_marginTop="2sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_count3"
                    android:gravity="right|center"
                    android:maxLines="1"
                    android:textColor="#006400"
                    android:textSize="36sp" />
                    
                <EditText
                    android:id="@+id/text_print"
                    android:layout_width="fill_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="1sp"
                    android:layout_marginRight="4sp"
                    android:layout_marginTop="2sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_count4"
                    android:gravity="right|center"
                    android:maxLines="1"
            		android:inputType="textEmailAddress"
            		android:digits="-1234567890"
                    android:textColor="#006400"
                    android:textSize="36sp" />
                    
	            <Button
	                android:id="@+id/btn_unit"
	                android:layout_width="fill_parent"
	                android:layout_height="fill_parent"
	                android:layout_margin="1sp"
	                android:layout_weight="1.2"
	                android:background="@drawable/keypad_blue2"
	                android:text="件"
	                android:textSize="36sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:orientation="horizontal" >

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginTop="1sp"
                        android:layout_weight="1.0"
                        android:orientation="vertical" >

                        <!-- 顯示 -->

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_number_7"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="7"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_8"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="8"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_9"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="9"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_number_4"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="4"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_5"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="5"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_6"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="6"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_number_1"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="1"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_2"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="2"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_3"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="3"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_clean_number"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count3"
                                android:text="C"
                                android:textColor="#FF0000"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_number_0"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count1"
                                android:text="0"
                                android:textSize="24sp" />

                            <Button
                                android:id="@+id/btn_opreate_plus"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:layout_weight="1.0"
                                android:background="@drawable/keypad_count_focus"
                                android:text="+"
                                android:textColor="#FF0000"
                                android:textSize="24sp" />
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="3sp"
                        android:layout_marginTop="2sp"
                        android:layout_weight="1.0"
                        android:orientation="vertical" >

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_choice_cell"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:background="@drawable/keypad_count2"
                                android:text="| 整列選"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_choice_row"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:background="@drawable/keypad_count2"
                                android:text="— 整行選"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_choice_all"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:background="@drawable/keypad_count2"
                                android:text="口 全選"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal" >

                            <Button
                                android:id="@+id/btn_choice_single"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:background="@drawable/keypad_count_focus"
                                android:text="單選"
                                android:textSize="24sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_weight="1.0"
                            android:orientation="horizontal"
                            android:visibility="gone" >

                            <Button
                                android:id="@+id/btn_save_item"
                                android:layout_width="fill_parent"
                                android:layout_height="fill_parent"
                                android:layout_margin="1sp"
                                android:background="@drawable/keypad_count_save"
                                android:text="進貨/訂貨"
                                android:textSize="24sp" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            <!-- Tablelayout -->

            <LinearLayout
                android:id="@+id/tableview"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="3sp"
                android:layout_weight="1.0" >

                <HorizontalScrollView
                    android:id="@+id/HorizontalScrollView01"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_margin="5sp" >

                    <!-- <ListView -->
                    <!-- android:id="@+id/ListView01" -->
                    <!-- android:layout_width="wrap_content" -->
                    <!-- android:layout_height="wrap_content" > -->
                    <!-- </ListView> -->

                    <ScrollView
                        android:id="@+id/ScrollView01"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent" >

                        <LinearLayout
                            android:id="@+id/root"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:orientation="vertical" >
                        </LinearLayout>
                    </ScrollView>
                </HorizontalScrollView>
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>

</LinearLayout>